name: grocery_delivery_boy
description: A new Flutter application.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.0+0

environment:
  sdk: ^3.8.1

dependencies:
  flutter:
    sdk: flutter

  flutter_localizations:
    sdk: flutter
  intl: any

  cupertino_icons: ^1.0.8
  get_it: ^8.2.0
  provider: ^6.1.5+1
  shared_preferences: ^2.5.3
  dio: ^5.9.0
  google_maps_flutter: ^2.13.1
  geolocator: ^14.0.2
  geocoding: ^4.0.0
  url_launcher: ^6.3.2
  firebase_core: ^4.2.0
  firebase_messaging: ^16.0.3
  flutter_local_notifications: ^19.5.0
  path_provider: ^2.1.5
  vibration: ^3.1.4
  shimmer: ^3.0.0
  flutter_widget_from_html_core: ^0.17.0
  http: ^1.5.0
  image_picker: ^1.2.0
  flutter_lints: ^6.0.0
  country_code_picker: ^3.4.1
  phone_numbers_parser: ^9.0.15
  dotted_border: ^3.1.0
  cached_network_image: ^3.4.1
  photo_view: ^0.15.0
  flutter_svg: ^2.2.1
  flutter_foreground_task: ^9.1.0
  audioplayers: ^6.5.1
  permission_handler: ^12.0.1
  disable_battery_optimization: ^1.1.2
  location: ^8.0.1






dev_dependencies:
  flutter_test:
    sdk: flutter

flutter:
  uses-material-design: true

  assets:
    - assets/
    - assets/icon/
    - assets/image/
    - assets/language/
    - assets/svg/

  fonts:
    - family: Rubik
      fonts:
        - asset: assets/fonts/Rubik-Regular.ttf
          weight: 400
        - asset: assets/fonts/Rubik-Medium.ttf
          weight: 500
        - asset: assets/fonts/Rubik-Bold.ttf
          weight: 700
